
static Eina_Value
__eolian_efl_playable_length_get_reflect(const Eo *obj)
{
   double val = efl_playable_length_get(obj);
   return eina_value_double_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_playable_length_get, double, 0);

static Eina_Value
__eolian_efl_playable_playable_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_playable_get(obj);
   return eina_value_bool_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_playable_get, Eina_Bool, 0);

static Eina_Value
__eolian_efl_playable_seekable_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_playable_seekable_get(obj);
   return eina_value_bool_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_playable_seekable_get, Eina_Bool, 0);

static Eina_Bool
_efl_playable_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_PLAYABLE_EXTRA_OPS
#define EFL_PLAYABLE_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_playable_length_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_playable_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_playable_seekable_get, NULL),
      EFL_PLAYABLE_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"length", NULL, __eolian_efl_playable_length_get_reflect},
      {"playable", NULL, __eolian_efl_playable_playable_get_reflect},
      {"seekable", NULL, __eolian_efl_playable_seekable_get_reflect},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_playable_class_desc = {
   EO_VERSION,
   "Efl.Playable",
   EFL_CLASS_TYPE_INTERFACE,
   0,
   _efl_playable_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_playable_interface_get, &_efl_playable_class_desc, NULL, NULL);
